function saveMatrix2File(fileName,data,prec,columnName)
% Saves data to a delimiter separated file 
% The data to be save must be ordered columnwise in a matrix
% There is an option for adding names for the columns in the output file
% 
% fileName is the output filename
% data is the matrix to be saved
% prec controls the precision 
% columnName contains the strings for column names, if omitted no column names will be given
       
    fid = fopen(fileName,'w');
    if nargin == 4
        for n = 1:length(columnName)-1
            fprintf(fid,strcat(char(columnName(n)),'\t'));
        end
        fprintf(fid,strcat(char(columnName(end)),'\n'));
        fclose(fid);
    end

    % write the data to file
    dlmwrite(fileName, data, 'delimiter','\t','-append', 'precision',prec)
    
end